<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/Utils/test/Common Directory Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a></li><li class="navelem"><a class="el" href="dir_2d9894417dd95d1842540bac6666188a.html">test</a></li><li class="navelem"><a class="el" href="dir_c619d3dd22dd53b5202592c42fbeb8fe.html">Common</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Common Directory Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Directory dependency graph for Common:</div>
<div class="dyncontent">
<div class="center"><img src="dir_c619d3dd22dd53b5202592c42fbeb8fe_dep.png" border="0" usemap="#dir__c619d3dd22dd53b5202592c42fbeb8fe__dep" alt="/workplace/avs-device-sdk/AVSCommon/Utils/test/Common"/></div>
<map name="dir__c619d3dd22dd53b5202592c42fbeb8fe__dep" id="dir__c619d3dd22dd53b5202592c42fbeb8fe__dep">
<area shape="rect" id="node1" href="dir_c619d3dd22dd53b5202592c42fbeb8fe.html" title="Common" alt="" coords="58,51,134,99"/>
<area shape="rect" id="node2" href="dir_a56f36adbd781f5c7d9895fa2d100c85.html" title="AVSCommon" alt="" coords="45,147,147,195"/>
<area shape="rect" id="edge4-headlabel" href="dir_000063_000064.html" title="13" alt="" coords="97,121,112,135"/>
<area shape="rect" id="node3" href="dir_80711c2a226d5fced33fce22558d3784.html" title="AVS" alt="" coords="5,243,77,291"/>
<area shape="rect" id="edge5-headlabel" href="dir_000063_000043.html" title="1" alt="" coords="35,216,42,229"/>
<area shape="rect" id="node4" href="dir_957fc395b73dfe8b64ee3f74464f588a.html" title="include" alt="" coords="41,339,113,387"/>
<area shape="rect" id="edge6-headlabel" href="dir_000063_000080.html" title="3" alt="" coords="106,321,114,334"/>
<area shape="rect" id="edge1-headlabel" href="dir_000064_000043.html" title="3" alt="" coords="68,224,75,237"/>
<area shape="rect" id="edge2-headlabel" href="dir_000064_000080.html" title="6" alt="" coords="90,315,97,328"/>
<area shape="rect" id="edge3-headlabel" href="dir_000043_000080.html" title="44" alt="" coords="53,311,68,325"/>
<area shape="rect" id="edge7-headlabel" href="dir_000080_000043.html" title="5" alt="" coords="54,304,62,318"/>
<area shape="rect" id="clust1" href="dir_2d9894417dd95d1842540bac6666188a.html" title="test" alt="" coords="48,16,144,109"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="files"></a>
Files</h2></td></tr>
<tr class="memitem:_utils_2test_2_common_2_common_8cpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_utils_2test_2_common_2_common_8cpp.html">Common.cpp</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_mime_utils_8cpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_mime_utils_8cpp.html">MimeUtils.cpp</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_mock_h_t_t_p2_mime_request_encode_source_8cpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_mock_h_t_t_p2_mime_request_encode_source_8cpp.html">MockHTTP2MimeRequestEncodeSource.cpp</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_mock_h_t_t_p2_mime_response_decode_sink_8cpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_mock_h_t_t_p2_mime_response_decode_sink_8cpp.html">MockHTTP2MimeResponseDecodeSink.cpp</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_mock_media_player_8cpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_mock_media_player_8cpp.html">MockMediaPlayer.cpp</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_testable_attachment_manager_8cpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_testable_attachment_manager_8cpp.html">TestableAttachmentManager.cpp</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_testable_attachment_writer_8cpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_testable_attachment_writer_8cpp.html">TestableAttachmentWriter.cpp</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_testable_message_observer_8cpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_testable_message_observer_8cpp.html">TestableMessageObserver.cpp</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
